GPU驱动问题


#1

我想用Qt在BPI上做一个界系统,想用最新的qtquick2的功能,但是我交叉编译后,在ubuntu-16.04-Desktop上运行示例,提示如下:
libGL error: unable to load driver: mali_drm_dri.so
libGL error: driver pointer missing
libGL error: failed to load driver: mali_drm
通过查看怀疑是GPU驱动程序无法识别导致的,在系统中也无法找到相关mali的库文件,我又尝试了Raspbian的镜像,但是提示是:
failed to open vchiq instance
通过百度发现可能是权限不够,但是根据资料在/dev/目录下根本没有vchiq,不知道哪位大神知道如何处理这种错误,还是缺少什么补丁程序吗?
ps:在ubuntu系统中,可以正常运行qt程序,但是无法使用GPU,导致的问题就是有特效的界面变化变得异常卡顿,导致大量占用cpu资源,让操作体验很差,希望能解决!


#2

或者有没有带mali400驱动的镜像发一个


#3

谁有带GPU驱动的Lubuntu版本镜像给发一个,多谢


#4

论坛怎么没有人维护了


#5

http://www.orangepi.cn/orangepibbscn/forum.php?mod=viewthread&tid=66&extra=page%3D1
这个是你想要的吗?


#6

GPU,你可以使用armbian系统尝试一下,应该可以支持到


#7

@kvell , Do you solved your problem?,I have the same problem with my applacation, But have any method to find to fix it , can you help me ?